sane-lexmark(5)

NAME
sane-lexmark - SANE backend for Lexmark X1100 Series scanners

DESCRIPTION
The sane-lexmark library implements a SANE (Scanner Access Now Easy) backend that provides access to the scanner part of Lexmark X1100 AIOs. This backend should be considered beta-quality software!

The scanners that should work with this backend are:

       Vendor Model           status
    ----------------------  -----------
      Lexmark X1110           untested
      Lexmark X1140           untested
      Lexmark X1150           untested
      Lexmark X1170           untested
      Lexmark X1180           basic
      Lexmark X1185           basic
The options the backend supports can either be selected through command line options to programs like scanimage or through GUI elements in xscanimage or xsane.
If you have any strange behavior, please report to the backend maintainer or to the SANE mailing list. Valid command line options and their syntax can be listed by using
    scanimage --help -d lexmark:usb:<usb port>

Scan Mode Options

--mode
    selects the basic mode of operation of the scanner valid choices are Color, Gray and Lineart The default mode is Color. The Lineart mode is black and white only (1 bit). Grayscale will produce 256 levels of gray (8 bits). Color mode allows for over 16 million different colors produced from 24 bits of color information.

--resolution
    selects the resolution for a scan. The horizontal and vertical resolutions are set by the value of this option. The scanner is capable of the following resolutions for the specified option value:

      Value   Hor. Resolution  Vert. Resolution
      -----   ---------------  -------------------
      75      75dpi            75dpi
      150     150dpi           150dpi
      300     300dpi           300dpi
      600     600dpi           600dpi
      1200    600dpi           1200dpi

--preview
    requests a preview scan. The resolution used for that scan is 75 dpi and the scan area and the scan mode are as specified through their options, or the default if not specified. The default value for preview mode is "no".

--paper-size
    selects the size of the area to be scanned. Valid sizes are Wallet, 3x5, 4x6, 5x7, 8x10, Letter, the default size is 3x5.

--threshold
    selects the minimum-brightness to get a white point. The threshold is only used with Lineart mode scans. It is specified as a percentage in the range 0..100% (in steps of 1). The default value of the threshold option is 50.

CONFIGURATION FILE
The configuration file /etc/sane.d/lexmark.conf contains only the usb device id (eg usb 0x043d 0x007c).

FILES

/usr/local/lib/sane/libsane-lexmark.a
    The static library implementing this backend.

/usr/local/lib/sane/libsane-lexmark.so
    The shared library implementing this backend (present on systems that support dynamic loading).

ENVIRONMENT

SANE_DEBUG_LEXMARK
    If the library was compiled with debug support enabled, this environment variable controls the debug level for this backend. E.g., a value of 128 requests all debug output to be printed. Smaller levels reduce verbosity.

LIMITATIONS
The windows TWAIN driver has many more options than this SANE backend. However they are only software adjustments. This backend only implements what the scanner can support.

BUGS
Jerky movement on 600dpi gray 8x10 scan.
Color calibration not implemented.
Dark compensation not implemented.

SEE ALSO
sane-scsi(5), scanimage(1), xscanimage(1), xsane(1), sane(7)

AUTHOR

The package is actively maintained by Fred Odendaal.
    http://ca.geocities.com/freshshelf@rogers.com/